

/**************** Menu Section ******************************************************/
/*
MENU Menu_Main_Specialist
{
	LABEL		"Main_Menu";
	STYLE	MENU;
	ITEMS
	{
		Menu_S_Device
	}
}

MENU Menu_Main_Maintenance
{
	LABEL		"Main_Menu";
	STYLE	MENU;
	ITEMS
	{
		Menu_M_Device
	}
}

MENU Menu_S_Device
{ 
	LABEL [Menu_Device1]; 
	STYLE   MENU;
	ITEMS 
	{ 
    Menu_S_Configuration,
    OnlineWindow_Overview,
    OnlineWindow_Measurement
	} 
} 
MENU Menu_M_Device
{ 
	LABEL [Menu_Device]; 
	STYLE   MENU;
	ITEMS 
	{ 
    Menu_M_Configuration,
    OnlineWindow_Overview,
    OnlineWindow_Measurement
	} 
} 
*/
MENU Menu_S_Configuration
{ 
	LABEL [Menu_Configuration]; 
//	STYLE	MENU;
	ITEMS 
	{ 
    OnlineWindow_S_Configuration
	} 
} 

MENU OnlineWindow_S_Configuration
{ 
	LABEL 	[OnlineWindow_Configuration]; 
	STYLE		WINDOW;
	ACCESS 	ONLINE;
	ITEMS 
	{ 
    //TempTB__LIN_TYPE,
    //TempTB__RJ_TYPE,
    Group_Limit
	} 
} 

MENU Group_Limit
{
  LABEL	[Page_Limit];
	STYLE	GROUP;
  ITEMS
  {
    //TempTB__UPPER_SENSOR_LIMIT,
    //TempTB__LOWER_SENSOR_LIMIT
  }
}

MENU Menu_M_Configuration
{ 
	LABEL "hgfgfgf";//[Menu_Configuration]; 
	ITEMS 
	{ 
    OnlineWindow_M_Configuration
	} 
} 

MENU OnlineWindow_M_Configuration
{ 
	LABEL "gfgfgf";//[OnlineWindow_Configuration]; 
	ITEMS 
	{ 
    //TempTB__LIN_TYPE (READ_ONLY),
    
    Group_Limit
		//TempTB__RJ_TYPE (READ_ONLY)
	} 
} 

MENU OnlineWindow_Overview
{
	LABEL		[OnlineWindow_Overview];
	STYLE   WINDOW;
	ITEMS
  {
    Page_PB
  }
}

MENU Page_PB
{
  LABEL [Page_PB];
	STYLE PAGE;
  ITEMS
  {
//    PhysicalBlock__DEVICE_MAN_ID,
//    PhysicalBlock__DEVICE_ID,
//    PhysicalBlock__DEVICE_SER_NUM
  }
}


/***************************** Measurement (Val_)  **************************/

MENU OnlineWindow_Measurement
{
   LABEL [OnlineWindow_Measurement];
   ITEMS
   {
     Val_MeasurementValue
   }
}

MENU Val_MeasurementValue
{
  LABEL [Val_MeasurementValue];
  ITEMS
  {
//    TempTB__PRIMARY_VALUE__Value
  }
}



/*

MENU OnlineWindow_Overview
{
	LABEL		[OnlineWindow_Overview];
	STYLE   WINDOW;
	ITEMS
  {
    Page_PB
  }
}

MENU Page_PB
{
  LABEL [Page_PB];
	STYLE PAGE;
  ITEMS
  {
 //   PhysicalBlock__DEVICE_MAN_ID,
 //   PhysicalBlock__DEVICE_ID,
 //   PhysicalBlock__DEVICE_SER_NUM
  }
}
*/

/***************************** Measurement (Val_)  **************************/
/*
MENU OnlineWindow_Measurement
{
   LABEL [OnlineWindow_Measurement];
   ITEMS
   {
     Val_MeasurementValue
   }
}

MENU Val_MeasurementValue
{
  LABEL [Val_MeasurementValue];
  ITEMS
  {
 //   TempTB__PRIMARY_VALUE__Value
  }
}
*/


/*******************************************************************************/
/*****	MENU Bar  **************************************************************/
/*******************************************************************************/

MENU Menu_Main_Specialist
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_S_View,
		Menu_S_Options,
		OnlineDialog_reset,
		Menu_Help
	}
}

MENU Menu_Main_Maintenance
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_M_Device,
		Menu_M_View,
		Menu_M_Options,
		Menu_Help
	}
}

/*---------------------------------------------------------------------*/
/*    Menu: Device													   */
/*---------------------------------------------------------------------*/

MENU Menu_S_Device_TB
{
	LABEL		[menu_Device];
	ITEMS
	{
		std_NodeAddress,
		SEPARATOR,
		std_LoadinDevice,										
		std_LoadinPC,
		SEPARATOR,
		Menu_simulation_TB,
		OnlineDialog_reset,
		SEPARATOR,
		OnlineDialog_sensor_trim
	}
}

MENU Menu_M_Device_TB
{
	LABEL		[menu_Device];
	ITEMS
	{
		std_LoadinDevice,										
		std_LoadinPC											
	}
}

MENU Menu_simulation_TB
{
	LABEL		[menu_dialog_simulation];
	ITEMS
	{
		OnlineDialog_simulation_func1,
	}
}


METHOD std_NodeAddress
{
	LABEL		[menu_Device_NodeAddress];
	DEFINITION
	{
	}
}

METHOD std_LoadinDevice
{
	LABEL		[menu_Device_LoadinDevice];
	DEFINITION
	{
	}
}

METHOD std_LoadinPC
{
	LABEL		[menu_Device_LoadinPC];
	DEFINITION
	{
	}
}

/*******************************************************************************/
/*****	Online-Windows  ********************************************************/
/*******************************************************************************/

MENU OnlineWindow_display
{
	LABEL		[menu_dialog_display];
	ITEMS
	{
		Page_display_func1,
		Page_display_func2,
		Page_display_func3,
		Page_display_func4,
		Page_display_measure,
		//Page_display_measure2
	}
}

MENU Page_display_measure
{
	LABEL		[menu_dialog_display_measure];
	ITEMS
	{
		BarVal_pv_display,		/* Type of display */
		trans1_temperature		/* parameter */
	}
}
MENU Page_display_measure2
{
	LABEL		"meas2";
	ITEMS
	{
		BarVal_pv_display,		/* Type of display */
		trans1_temperature		/* parameter */
	}
}

MENU BarVal_pv_display
{
	LABEL		[trans_lev_level];
	ITEMS
	{
		trans1_level,
		func1_AI_pv_lower_range_value (READ_ONLY),
		func1_AI_pv_upper_range_value (READ_ONLY)
	}
}


MENU OnlineWindow_diagnosis
{
	LABEL		[menu_dialog_diagnosis];
	ITEMS
	{
		Page_diagnosis_general,
		Page_diagnosis_phys_block,
		Page_diagnosis_trans1,
		Page_diagnosis_func1
	}
}

/*******************************************************************************/
/*****	Online-Dialogs  ********************************************************/
/*******************************************************************************/

MENU OnlineDialog_sensor_trim
{
	LABEL		[menu_dialog_sensor_trim];
	ITEMS
	{
		Page_cal_point_lo,
		Page_cal_point_hi
	}
}


MENU Page_cal_point_lo
{
	LABEL		[menu_dialog_sensor_trim_cal_point_lo];
	ITEMS
	{
		trans1_level,
		method_set
	}
}

MENU Page_cal_point_hi
{
	LABEL		[menu_dialog_sensor_trim_cal_point_hi];
	ITEMS
	{
//		trans1_full_cal,
		trans1_level,
		method_set
	}
}



