/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Table_Main_Specialist 
{ 
	LABEL	DEVICE_TITLE;
	STYLE	TABLE;
	ITEMS 
	{
	Tab_s_device_tag,
	Tab_s_device_info,
	Tab_s_transducer,
	Tab_s_output_param,
//	Tab_s_Diagnostic
//	Table_ParameterTB
	
	}
} 

MENU Table_Main_Maintenance 
{ 
	LABEL	DEVICE_TITLE;
	STYLE	TABLE;
	ITEMS 
	{
	Tab_s_device_tag,
	Tab_s_device_info,
	Tab_m_input_param,
	Tab_m_output_param,
//	Tab_s_Diagnostic
//	Table_ParameterTB
	}
} 

/* Specialists Tables*/

MENU Tab_s_device_tag
{
	LABEL		[Device_Tag];
	ITEMS
	{
		phys_tag_desc,
		phys_descriptor,	
		phys_message	
	}
}

MENU Tab_s_device_info
{
	LABEL		[Device_Info];
	ITEMS
	{
		phys_device_man_id,
		phys_device_id,
		phys_device_ser_num,
		phys_software_rev,
		phys_hardware_rev,
		phys_blk_profile_rev,
		phys_st_rev,
		phys_ident_number,
		phys_install_date
#ifdef PHYS_ADDITIONAL_PARAMETER
		,
		PHYS_ADDITIONAL_PARAMETER
#endif
	}
}

MENU Tab_s_transducer
{
	LABEL "Level Sensor Parameters";
	ITEMS
	{
		//Tab_s_input_param,
		Tab_TX_output_param,
		Tab_m_trans1_Calibration_parameters
		Tab_m_trans1_Table_Handling_parameters
		Tab_s_trans1_Setup_parameters
	}
}



MENU Tab_s_output_param
{
	LABEL	[menu_output];
	STYLE 	TABLE;
	ITEMS
	{
		Tab_s_func1,
		Tab_s_func2,
		Tab_s_func3,
		Tab_s_func4

	}
}

/** Specialists Tables ends */

/* Maintainece tables begins */

MENU Tab_m_input_param
{
	LABEL		[menu_input];
	STYLE 	TABLE;
	ITEMS
	{
		Tab_m_trans1
	}
}

MENU Tab_m_output_param
{
	LABEL		[menu_output];
	STYLE 	TABLE;
	ITEMS
	{
		Tab_m_func1,
		Tab_m_func2,
		Tab_m_func3,
		Tab_m_func4
	}
}

/* Maintainece tables ends */
